ErrorMsgContent (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class ErrorMsgContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.ErrorMsgContent

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ErrorMsgContent
      extends ASN1Object

            ErrorMsgContent ::= SEQUENCE {
                pKIStatusInfo          PKIStatusInfo,
                errorCode              INTEGER           OPTIONAL,
                -- implementation-specific error codes
                errorDetails           PKIFreeText       OPTIONAL
                -- implementation-specific error details
            }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorMsgContent(PKIStatusInfo pkiStatusInfo)`
    `ErrorMsgContent(PKIStatusInfo pkiStatusInfo, ASN1Integer errorCode, PKIFreeText errorDetails)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Integer` | `getErrorCode()`
    `PKIFreeText` | `getErrorDetails()`
    `static ErrorMsgContent` | `getInstance(java.lang.Object o)`
    `PKIStatusInfo` | `getPKIStatusInfo()`
    `ASN1Primitive` | `toASN1Primitive()` ErrorMsgContent ::= SEQUENCE { pKIStatusInfo PKIStatusInfo, errorCode INTEGER OPTIONAL, -- implementation-specific error codes errorDetails PKIFreeText OPTIONAL -- implementation-specific error details }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorMsgContent

          public ErrorMsgContent(PKIStatusInfo pkiStatusInfo)

    - #### ErrorMsgContent

          public ErrorMsgContent(PKIStatusInfo pkiStatusInfo,
                                 ASN1Integer errorCode,
                                 PKIFreeText errorDetails)

  - ### Method Detail

    - #### getInstance

          public static ErrorMsgContent getInstance(java.lang.Object o)

    - #### getPKIStatusInfo

          public PKIStatusInfo getPKIStatusInfo()

    - #### getErrorCode

          public ASN1Integer getErrorCode()

    - #### getErrorDetails

          public PKIFreeText getErrorDetails()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           ErrorMsgContent ::= SEQUENCE {
                                  pKIStatusInfo          PKIStatusInfo,
                                  errorCode              INTEGER           OPTIONAL,
                                  -- implementation-specific error codes
                                  errorDetails           PKIFreeText       OPTIONAL
                                  -- implementation-specific error details
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.